Patches

Download and install bug fixes, updates and improvements.
ALL PATCHES

MSHW-4564: WBEM Exception when Monitoring IBM/HP Systems with Java 1.8

August 18, 2016
Patch for Hardware Sentry KM for PATROL - Version(s) 1.9.50

This patch is replaced with !

 Download

Patch content

WBEM client for Sentry Collection Hub

Should you install this patch?

Apply this patch if the KM uses Java 1.8 and you are getting a WBEM exception error message when trying to monitor an IBM or HP system.

What does it fix?

Java 1.8 introduces an empty locale which breaks the compatibility with some implementations of a WBEM (CIM) server, notably from IBM and HP. This empty locale is now filtered out before issuing a WBEM query.

How to install the patch?

  1. Copy the following files to the %PATROL_HOME%\bin or $PATROL_HOME/bin directory on the server where the PATROL Agent runs:
    • MS_HW_WBEMClient.jar
    • MS_HW_WBEMCLI.jar
  2. Restart the PATROL Agent for the patch to take effect. Nothing needs to be installed on Console system.